#element1 {
  width: 150px;
  height: 150px;
  background-color: red;
  transition: background-color 3s;
  margin: 20px;
}

#element1:active {
  background-color: yellow;
}

#element2 {
  width: 150px;
  height: 150px;
  background-color: red;
  margin: 20px;
  animation-name: colorChange;
  animation-duration: 3s;
}

@keyframes colorChange {
  0% {
    background-color: red;
  }
  50% {
    background-color: yellow;
  }
  100% {
    background-color: blue;
  }
}

p {
  color: white;
  text-align: center;
  padding-top: 65px;
  font-size: 20px;
}

h2 {
  padding-left: 40px;
}